cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/workflows/runs/{runId}import requests
url = "https://api.staging.qyl.dev/api/v1/workflows/runs/{runId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/workflows/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workflow_id": "<string>",
"workflow_version": 123,
"project_id": "<string>",
"trigger_type": "manual",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"trigger_source": "<string>",
"input_json": "<string>",
"output_json": "<string>",
"error_message": "<string>",
"parent_run_id": "<string>",
"correlation_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_ms": 123
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Workflows
Get apiv1workflowsruns 1
Get workflow run by ID
GET
/
api
/
v1
/
workflows
/
runs
/
{runId}
cURL
Path Parameters
Response
The request has succeeded.
Top-level workflow execution
Run ID
Workflow definition ID
Workflow definition version
Owning project
Trigger type
Available options:
manual, alert, schedule, event, api, mcp Run status
Available options:
pending, running, paused, completed, failed, cancelled, timed_out Creation timestamp
Trigger source identifier
Run input data
Run output data
Error message if failed
Parent run ID for sub-workflows
Correlation ID for tracing
Start timestamp
Completion timestamp
Duration in milliseconds
Was this page helpful?
